package org.etsi.ttcn.codec.its.configtester;

import org.etsi.ttcn.codec.CodecBuffer;
import org.etsi.ttcn.codec.MainCodec;
import org.etsi.ttcn.codec.generic.Charstring;
import org.etsi.ttcn.tci.Type;

public class CfEvent extends Charstring {

	public CfEvent(MainCodec mainCodec) {
		super(mainCodec);
	}
	
	@Override
    protected void preDecode(CodecBuffer buf, Type decodingHypothesis) {
        // Set Length for CfEvent
        mainCodec.setHint("CfEventLen", new Integer(buf.getNbBytes()).toString());
        
        return;
    }

}
